NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Features.SheetMetal.FeatureBendPropertiesBuilder Class Reference

Represents a Sheetmetal Feature bend properties builder class. More...

Inheritance diagram for NXOpen.Features.SheetMetal.FeatureBendPropertiesBuilder:
NXOpen.Features.SheetMetal.SheetmetalComponentBuilder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder NXOpen.Features.SheetMetal.MultiBendBendPropertiesBuilder

Properties

unsafe
NXOpen.Features.SheetMetal.BendOptions 
BendOptions [get]
 Returns the Sheet Metal Bend Options More...
 
unsafe NXOpen.Expression Value [get]
 Returns the offset More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalComponentBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Sheetmetal Feature bend properties builder class.

This builder is used to interrogate the feature properties in the list.

To create a new instance of this class, use NXOpen.Features.SheetMetal.FeatureBendPropertiesListBuilder.CreateFeatureProperties

Created in NX12.0.0

Property Documentation

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.FeatureBendPropertiesBuilder.BendOptions
get

Returns the Sheet Metal Bend Options

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FeatureBendPropertiesBuilder.Value
get

Returns the offset

Created in NX12.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.